summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@foss.st.com>2021-07-06 13:05:50 +0000
committerChristophe Lyon <christophe.lyon@foss.st.com>2021-07-06 13:11:44 +0000
commite968cd73e1e1e367f6ae7f581c3f9c3878d4ad2e (patch)
tree06fed189cf65827d2a9e96ae07d27a09b61d58bd
parent794c90bcac29dff951c4302e1a20f767c471e276 (diff)
build-cross-gcc.sh: Add preliminary support for cortex-m55
-rwxr-xr-xbuild-cross-gcc.sh52
1 files changed, 28 insertions, 24 deletions
diff --git a/build-cross-gcc.sh b/build-cross-gcc.sh
index e44d895..f4fedd0 100755
--- a/build-cross-gcc.sh
+++ b/build-cross-gcc.sh
@@ -711,21 +711,21 @@ if test "${do_check:-yes}" = "yes"; then
case ${simu} in
*-system)
- case "$target:$cpu:$targetboard" in
- arm-none-eabi:cortex-m33:*|arm-none-eabi:*:*cortex-m33*)
- QEMU_BOARD=musca-b1
- STACK=0x1a480000
- cat ${mydir}/qemu-system-wrapper.sh | \
- sed -e 's/QEMU_CPU/'"${QEMU_CPU}"'/g' \
- -e 's/QEMU_BOARD/'"${QEMU_BOARD}"'/g' \
- > ${objs}/gcc3/utils/bin/qemu-wrapper.sh
- ;;
- *)
- echo "ERROR: Unsupported QEMU system target: $target:$cpu:$targetboard"
- exit 1
+ case "$target:$cpu:$targetboard" in
+ arm-none-eabi:cortex-m33:*|arm-none-eabi:*:*cortex-m33*|arm-none-eabi:cortex-m55:*|arm-none-eabi:*:*cortex-m55*)
+ QEMU_BOARD=musca-b1
+ STACK=0x1a480000
+ cat ${mydir}/qemu-system-wrapper.sh | \
+ sed -e 's/QEMU_CPU/'"${QEMU_CPU}"'/g' \
+ -e 's/QEMU_BOARD/'"${QEMU_BOARD}"'/g' \
+ > ${objs}/gcc3/utils/bin/qemu-wrapper.sh
+ ;;
+ *)
+ echo "ERROR: Unsupported QEMU system target: $target:$cpu:$targetboard"
+ exit 1
+ ;;
+ esac
;;
- esac
- ;;
*)
cat ${mydir}/qemu-wrapper.sh | \
sed -e 's/QEMU_CPU/'"${QEMU_CPU}"'/g' \
@@ -1267,19 +1267,23 @@ if test "${do_check:-yes}" = "yes"; then
fi
case ${simu} in
*-system)
- case "$target:$cpu:$targetboard" in
- arm-none-eabi:cortex-m33:*|arm-none-eabi:*:*cortex-m33*)
- cp ${mydir}/musca-b1.ld ${sysroot}/lib/
- cp ${mydir}/musca-b1.specs ${sysroot}/lib/
- TARGLIST="$TARGLIST/--specs=musca-b1.specs"
+ case "$target:$cpu:$targetboard" in
+ arm-none-eabi:cortex-m33:*|arm-none-eabi:*:*cortex-m33*|arm-none-eabi:cortex-m55:*|arm-none-eabi:*:*cortex-m55*)
+ cp ${mydir}/musca-b1.ld ${sysroot}/lib/
+ cp ${mydir}/musca-b1.specs ${sysroot}/lib/
+ TARGLIST="$TARGLIST/--specs=musca-b1.specs"
+ ;;
+ esac
;;
- arm-none-eabi:cortex-m0:*mpure-code*)
- cp ${mydir}/umeq.ld ${TARGETDIR}/lib/
- TARGLIST="$TARGLIST/-Tumeq.ld/--specs=rdimon.specs"
+ *)
+ case "$target:$cpu:$targetboard" in
+ arm-none-eabi:cortex-m0:*mpure-code*)
+ cp ${mydir}/umeq.ld ${TARGETDIR}/lib/
+ TARGLIST="$TARGLIST/-Tumeq.ld/--specs=rdimon.specs"
+ ;;
+ esac
;;
esac
- ;;
- esac
MYRUNTESTFLAGS=${RUNTESTFLAGS:-} # To avoid problems with 'set -u'
RUNTESTFLAGS=$(echo $MYRUNTESTFLAGS | sed 's/:/ /')